> For the complete documentation index, see [llms.txt](https://axiology.gitbook.io/axiology-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://axiology.gitbook.io/axiology-docs/rest-api/currencies.md).

# Currencies

## Get withdrawals

> Perform a currency withdrawal from specific address

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/currencies/{currencyId}/withdrawals":{"get":{"description":"Perform a currency withdrawal from specific address","operationId":"getWithdrawals","parameters":[{"name":"currencyId","required":true,"in":"path","description":"Currency UUID identifier, global in scope of TSS","schema":{"format":"uuid","type":"string"}},{"name":"filter","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/FilterWithdrawalDto"}},{"name":"mode","required":false,"in":"query","description":"Strategy applied when filtering/searching on multiple fields","schema":{"$ref":"#/components/schemas/FilterMode"}},{"name":"pagination","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/PaginationRequestDto"}},{"name":"order","required":false,"in":"query","content":{"application/json":{"schema":{"type":"array","uniqueItems":true,"items":{"type":"object","oneOf":[{"properties":{"createdAt":{"type":"string","enum":["asc","desc"]}},"required":["createdAt"]},{"properties":{"amount":{"type":"string","enum":["asc","desc"]}},"required":["amount"]}]}}}},"description":"Array of fields and directions to order. Supported fields: createdAt, amount"}],"responses":{"200":{"description":"Successfully retrieved a list of items.","content":{"application/json":{"schema":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/PaginationResponseDto"},"items":{"type":"array","items":{"$ref":"#/components/schemas/WithdrawalDto"}}},"required":["pagination","items"]}}}}},"summary":"Get withdrawals","tags":["Currencies"]}}},"components":{"schemas":{"FilterWithdrawalDto":{"type":"object","properties":{"id":{"description":"Filter by withdrawal ID(s)","oneOf":[{"type":"array","items":{"description":"Unique UUIDs of an entity","format":"uuid","type":"string"},"minItems":1},{"description":"Unique UUID of an entity","format":"uuid","type":"string"}]},"brokerId":{"description":"Filter by broker ID(s)","oneOf":[{"type":"array","items":{"description":"Unique UUIDs of an entity","format":"uuid","type":"string"},"minItems":1},{"description":"Unique UUID of an entity","format":"uuid","type":"string"}]},"accountAddress":{"description":"Filter by partial account address or list of account addresses","oneOf":[{"type":"array","items":{"description":"Account address","type":"string","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"minItems":1},{"type":"string","description":"Partial account address"}]},"iban":{"description":"Filter by IBAN","oneOf":[{"type":"array","items":{"type":"string"},"minItems":1},{"type":"string"}]},"status":{"description":"Filter by withdrawal status(es)","oneOf":[{"type":"array","items":{"$ref":"#/components/schemas/WithdrawalStatus"},"minItems":1},{"$ref":"#/components/schemas/WithdrawalStatus"}]},"transactionId":{"description":"Filter by transaction ID(s)","oneOf":[{"type":"array","items":{"type":"string"},"minItems":1},{"type":"string"}]},"createdAt":{"format":"date-time","description":"Filter withdrawals created from date or between two dates","oneOf":[{"type":"array","items":{"type":"string","format":"date-time"},"minItems":1,"maxItems":2},{"type":"string","format":"date-time"}]}}},"WithdrawalStatus":{"type":"string","enum":["failed","initiated","rejected","returned","started","withdrawn"],"description":"Status of withdrawal"},"FilterMode":{"type":"string","enum":["and","or"]},"PaginationRequestDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1}}},"PaginationResponseDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1},"totalItems":{"type":"number","description":"Total items count"},"totalPages":{"type":"number","description":"Total pages count"}},"required":["totalItems","totalPages"]},"WithdrawalDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Withdrawal UUID identifier, global in scope of TSS","format":"uuid"},"brokerId":{"type":"string","description":"Broker UUID identifier","format":"uuid"},"currencyId":{"type":"string","description":"Currency UUID identifier","format":"uuid"},"accountAddress":{"type":"string","description":"Source account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"iban":{"type":"string","description":"Destination IBAN","pattern":"^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$","format":"iban","minLength":15,"maxLength":34},"amount":{"format":"int64","description":"Withdrawal amount.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"status":{"description":"Status of withdrawal","allOf":[{"$ref":"#/components/schemas/WithdrawalStatus"}]},"transactionId":{"type":"string","description":"SEPA payment's Transaction Id","format":"iso-20022-payment-tx-id","minLength":10,"maxLength":35,"nullable":true},"correlationId":{"type":"string","description":"Correlation id for end-to-end referencing","format":"uuid"}},"required":["createdAt","updatedAt","id","brokerId","currencyId","accountAddress","iban","amount","status","transactionId","correlationId"]},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."}}}}
```

## Initiate withdrawal

> Perform a currency withdrawal, specified by currency id in the path, source address should hold some balance of that currency

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/currencies/{currencyId}/withdrawals":{"post":{"description":"Perform a currency withdrawal, specified by currency id in the path, source address should hold some balance of that currency","operationId":"withdrawCurrency","parameters":[{"name":"currencyId","required":true,"in":"path","description":"Currency UUID identifier, global in scope of TSS","schema":{"format":"uuid","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitiateWithdrawalDto"}}}},"responses":{"201":{"description":"Withdrawal details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithdrawalDto"}}}}},"summary":"Initiate withdrawal","tags":["Currencies"]}}},"components":{"schemas":{"InitiateWithdrawalDto":{"type":"object","properties":{"accountAddress":{"type":"string","description":"Source account address to withdraw from","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"amount":{"format":"int64","description":"Amount to withdraw.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"iban":{"type":"string","description":"Destination IBAN that withdrawal should be sent to","pattern":"^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$","format":"iban","minLength":15,"maxLength":34}},"required":["accountAddress","amount","iban"]},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."},"WithdrawalDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Withdrawal UUID identifier, global in scope of TSS","format":"uuid"},"brokerId":{"type":"string","description":"Broker UUID identifier","format":"uuid"},"currencyId":{"type":"string","description":"Currency UUID identifier","format":"uuid"},"accountAddress":{"type":"string","description":"Source account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"iban":{"type":"string","description":"Destination IBAN","pattern":"^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$","format":"iban","minLength":15,"maxLength":34},"amount":{"format":"int64","description":"Withdrawal amount.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"status":{"description":"Status of withdrawal","allOf":[{"$ref":"#/components/schemas/WithdrawalStatus"}]},"transactionId":{"type":"string","description":"SEPA payment's Transaction Id","format":"iso-20022-payment-tx-id","minLength":10,"maxLength":35,"nullable":true},"correlationId":{"type":"string","description":"Correlation id for end-to-end referencing","format":"uuid"}},"required":["createdAt","updatedAt","id","brokerId","currencyId","accountAddress","iban","amount","status","transactionId","correlationId"]},"WithdrawalStatus":{"type":"string","enum":["failed","initiated","rejected","returned","started","withdrawn"],"description":"Status of withdrawal"}}}}
```

## Get currencies

> Retrieve a list of currencies supported by the platform

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/currencies":{"get":{"description":"Retrieve a list of currencies supported by the platform","operationId":"getCurrencies","parameters":[{"name":"filter","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/FilterCurrencyDto"}},{"name":"mode","required":false,"in":"query","description":"Strategy applied when filtering/searching on multiple fields","schema":{"$ref":"#/components/schemas/FilterMode"}},{"name":"pagination","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/PaginationRequestDto"}},{"name":"order","required":false,"in":"query","content":{"application/json":{"schema":{"type":"array","uniqueItems":true,"items":{"type":"object","oneOf":[{"properties":{"createdAt":{"type":"string","enum":["asc","desc"]}},"required":["createdAt"]},{"properties":{"name":{"type":"string","enum":["asc","desc"]}},"required":["name"]},{"properties":{"code":{"type":"string","enum":["asc","desc"]}},"required":["code"]},{"properties":{"exponent":{"type":"string","enum":["asc","desc"]}},"required":["exponent"]},{"properties":{"supplyLimit":{"type":"string","enum":["asc","desc"]}},"required":["supplyLimit"]}]}}}},"description":"Array of fields and directions to order. Supported fields: createdAt, name, code, exponent, supplyLimit"}],"responses":{"200":{"description":"Successfully retrieved a list of items.","content":{"application/json":{"schema":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/PaginationResponseDto"},"items":{"type":"array","items":{"$ref":"#/components/schemas/CurrencyDto"}}},"required":["pagination","items"]}}}}},"summary":"Get currencies","tags":["Currencies"]}}},"components":{"schemas":{"FilterCurrencyDto":{"type":"object","properties":{"id":{"description":"Filter currencies by ids","oneOf":[{"type":"array","items":{"description":"Unique UUIDs of an entity","format":"uuid","type":"string"},"minItems":1},{"description":"Unique UUID of an entity","format":"uuid","type":"string"}]},"name":{"type":"string","description":"Filter currencies by name"},"code":{"type":"string","description":"Filter currencies by code"},"issuerAccountAddress":{"description":"Filter issuers by account address","oneOf":[{"type":"array","items":{"description":"Account address","type":"string","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"minItems":1},{"type":"string","description":"Partial account address"}]}}},"FilterMode":{"type":"string","enum":["and","or"]},"PaginationRequestDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1}}},"PaginationResponseDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1},"totalItems":{"type":"number","description":"Total items count"},"totalPages":{"type":"number","description":"Total pages count"}},"required":["totalItems","totalPages"]},"CurrencyDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Currency UUID identifier, global in scope of TSS","format":"uuid"},"name":{"type":"string","description":"Full name of the currency"},"code":{"type":"string","description":"Unique code of the currency"},"exponent":{"type":"number","description":"**Exponent** - number of decimal places (scale) used for this asset or currency.\n- Decimal floating value: `stored_value / 10^exponent`.\n- Values are stored in the smallest accountable/divisible unit (e.g., cents when exponent = 2).\n- Examples: `2000` with exponent `2` => `20`; `2345` with exponent `3` => `2.345`; `2345` with exponent `0` => `2345`.","minimum":0,"maximum":10},"supplyLimit":{"format":"int64","description":"Maximum amount of currency allowed in circulation.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"issuingAccountAddress":{"type":"string","description":"Issuing account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"operationalAccountAddress":{"type":"string","description":"Operational account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"}},"required":["createdAt","updatedAt","id","name","code","exponent","supplyLimit","issuingAccountAddress","operationalAccountAddress"]},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."}}}}
```

## Get currency

> Retrieve full information about a single currency, specified by currency id in the path

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/currencies/{currencyId}":{"get":{"description":"Retrieve full information about a single currency, specified by currency id in the path","operationId":"getCurrency","parameters":[{"name":"currencyId","required":true,"in":"path","description":"Currency UUID identifier, global in scope of TSS","schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyExpandedDto"}}}}},"summary":"Get currency","tags":["Currencies"]}}},"components":{"schemas":{"CurrencyExpandedDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Currency UUID identifier, global in scope of TSS","format":"uuid"},"name":{"type":"string","description":"Full name of the currency"},"code":{"type":"string","description":"Unique code of the currency"},"exponent":{"type":"number","description":"**Exponent** - number of decimal places (scale) used for this asset or currency.\n- Decimal floating value: `stored_value / 10^exponent`.\n- Values are stored in the smallest accountable/divisible unit (e.g., cents when exponent = 2).\n- Examples: `2000` with exponent `2` => `20`; `2345` with exponent `3` => `2.345`; `2345` with exponent `0` => `2345`.","minimum":0,"maximum":10},"supplyLimit":{"format":"int64","description":"Maximum amount of currency allowed in circulation.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"issuingAccountAddress":{"type":"string","description":"Issuing account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"operationalAccountAddress":{"type":"string","description":"Operational account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"issuingAccount":{"description":"Issuing account details with balance","allOf":[{"$ref":"#/components/schemas/AssetAccount"}]},"operationalAccount":{"description":"Operational account details with balance","allOf":[{"$ref":"#/components/schemas/AssetAccount"}]}},"required":["createdAt","updatedAt","id","name","code","exponent","supplyLimit","issuingAccountAddress","operationalAccountAddress","issuingAccount","operationalAccount"]},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."},"AssetAccount":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"address":{"type":"string","description":"Account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"amount":{"format":"int64","description":"Account balance.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]}},"required":["createdAt","updatedAt","address","amount"]}}}}
```

## Get deposits

> Get a paginated list of currency's deposits information in the system

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/currencies/{currencyId}/deposits":{"get":{"description":"Get a paginated list of currency's deposits information in the system","operationId":"getDeposits","parameters":[{"name":"currencyId","required":true,"in":"path","description":"Currency UUID identifier, global in scope of TSS","schema":{"format":"uuid","type":"string"}},{"name":"filter","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/FilterDepositDto"}},{"name":"mode","required":false,"in":"query","description":"Strategy applied when filtering/searching on multiple fields","schema":{"$ref":"#/components/schemas/FilterMode"}},{"name":"pagination","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/PaginationRequestDto"}},{"name":"order","required":false,"in":"query","content":{"application/json":{"schema":{"type":"array","uniqueItems":true,"items":{"type":"object","oneOf":[{"properties":{"createdAt":{"type":"string","enum":["asc","desc"]}},"required":["createdAt"]},{"properties":{"amount":{"type":"string","enum":["asc","desc"]}},"required":["amount"]}]}}}},"description":"Array of fields and directions to order. Supported fields: createdAt, amount"}],"responses":{"200":{"description":"Successfully retrieved a list of items.","content":{"application/json":{"schema":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/PaginationResponseDto"},"items":{"type":"array","items":{"$ref":"#/components/schemas/DepositDto"}}},"required":["pagination","items"]}}}}},"summary":"Get deposits","tags":["Currencies"]}}},"components":{"schemas":{"FilterDepositDto":{"type":"object","properties":{"id":{"description":"Filter by deposit ID(s)","oneOf":[{"type":"array","items":{"description":"Unique UUIDs of an entity","format":"uuid","type":"string"},"minItems":1},{"description":"Unique UUID of an entity","format":"uuid","type":"string"}]},"brokerId":{"description":"Filter by broker ID(s)","oneOf":[{"type":"array","items":{"description":"Unique UUIDs of an entity","format":"uuid","type":"string"},"minItems":1},{"description":"Unique UUID of an entity","format":"uuid","type":"string"}]},"accountAddress":{"description":"Filter by partial account address or list of account addresses","oneOf":[{"type":"array","items":{"description":"Account address","type":"string","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"minItems":1},{"type":"string","description":"Partial account address"}]},"iban":{"description":"Filter by IBAN","oneOf":[{"type":"array","items":{"type":"string"},"minItems":1},{"type":"string"}]},"status":{"description":"Filter by deposit status(es)","oneOf":[{"type":"array","items":{"$ref":"#/components/schemas/DepositStatus"},"minItems":1},{"$ref":"#/components/schemas/DepositStatus"}]},"transactionId":{"description":"Filter by transaction ID(s)","oneOf":[{"type":"array","items":{"type":"string"},"minItems":1},{"type":"string"}]},"createdAt":{"format":"date-time","description":"Filter deposits created from date or between two dates","oneOf":[{"type":"array","items":{"type":"string","format":"date-time"},"minItems":1,"maxItems":2},{"type":"string","format":"date-time"}]}}},"DepositStatus":{"type":"string","enum":["approved","deposited","initiated","rejected"],"description":"Status of deposit"},"FilterMode":{"type":"string","enum":["and","or"]},"PaginationRequestDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1}}},"PaginationResponseDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1},"totalItems":{"type":"number","description":"Total items count"},"totalPages":{"type":"number","description":"Total pages count"}},"required":["totalItems","totalPages"]},"DepositDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Deposit UUID identifier, global in scope of TSS","format":"uuid"},"brokerId":{"type":"string","description":"Broker UUID identifier","format":"uuid"},"currencyId":{"type":"string","description":"Currency UUID identifier","format":"uuid"},"accountAddress":{"type":"string","description":"Destination account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"iban":{"type":"string","description":"Source IBAN","pattern":"^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$","format":"iban","minLength":15,"maxLength":34},"amount":{"format":"int64","description":"Deposit amount.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"status":{"description":"Status of deposit","allOf":[{"$ref":"#/components/schemas/DepositStatus"}]},"transactionId":{"type":"string","description":"SEPA payment's Transaction Id","format":"iso-20022-payment-tx-id","minLength":10,"maxLength":35},"correlationId":{"type":"string","description":"Correlation id for end-to-end referencing","format":"uuid"}},"required":["createdAt","updatedAt","id","brokerId","currencyId","accountAddress","iban","amount","status","transactionId","correlationId"]},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."}}}}
```

## Get deposit

> Retrieve full information about a single deposit, specified by deposit id in the path

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/currencies/{currencyId}/deposits/{depositId}":{"get":{"description":"Retrieve full information about a single deposit, specified by deposit id in the path","operationId":"getDeposit","parameters":[{"name":"currencyId","required":true,"in":"path","description":"Currency UUID identifier, global in scope of TSS","schema":{"format":"uuid","type":"string"}},{"name":"depositId","required":true,"in":"path","description":"Deposit UUID identifier, global in scope of TSS","schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"description":"Successfully received a deposit","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepositDto"}}}}},"summary":"Get deposit","tags":["Currencies"]}}},"components":{"schemas":{"DepositDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Deposit UUID identifier, global in scope of TSS","format":"uuid"},"brokerId":{"type":"string","description":"Broker UUID identifier","format":"uuid"},"currencyId":{"type":"string","description":"Currency UUID identifier","format":"uuid"},"accountAddress":{"type":"string","description":"Destination account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"iban":{"type":"string","description":"Source IBAN","pattern":"^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$","format":"iban","minLength":15,"maxLength":34},"amount":{"format":"int64","description":"Deposit amount.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"status":{"description":"Status of deposit","allOf":[{"$ref":"#/components/schemas/DepositStatus"}]},"transactionId":{"type":"string","description":"SEPA payment's Transaction Id","format":"iso-20022-payment-tx-id","minLength":10,"maxLength":35},"correlationId":{"type":"string","description":"Correlation id for end-to-end referencing","format":"uuid"}},"required":["createdAt","updatedAt","id","brokerId","currencyId","accountAddress","iban","amount","status","transactionId","correlationId"]},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."},"DepositStatus":{"type":"string","enum":["approved","deposited","initiated","rejected"],"description":"Status of deposit"}}}}
```

## Get withdrawal

> Retrieve full information about a single withdrawal, specified by withdrawal id in the path

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/currencies/{currencyId}/withdrawals/{withdrawalId}":{"get":{"description":"Retrieve full information about a single withdrawal, specified by withdrawal id in the path","operationId":"getWithdrawal","parameters":[{"name":"currencyId","required":true,"in":"path","description":"Currency UUID identifier, global in scope of TSS","schema":{"format":"uuid","type":"string"}},{"name":"withdrawalId","required":true,"in":"path","description":"Withdrawal UUID identifier, global in scope of TSS","schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"description":"Successfully received a withdrawal","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithdrawalDto"}}}}},"summary":"Get withdrawal","tags":["Currencies"]}}},"components":{"schemas":{"WithdrawalDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Withdrawal UUID identifier, global in scope of TSS","format":"uuid"},"brokerId":{"type":"string","description":"Broker UUID identifier","format":"uuid"},"currencyId":{"type":"string","description":"Currency UUID identifier","format":"uuid"},"accountAddress":{"type":"string","description":"Source account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"iban":{"type":"string","description":"Destination IBAN","pattern":"^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$","format":"iban","minLength":15,"maxLength":34},"amount":{"format":"int64","description":"Withdrawal amount.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"status":{"description":"Status of withdrawal","allOf":[{"$ref":"#/components/schemas/WithdrawalStatus"}]},"transactionId":{"type":"string","description":"SEPA payment's Transaction Id","format":"iso-20022-payment-tx-id","minLength":10,"maxLength":35,"nullable":true},"correlationId":{"type":"string","description":"Correlation id for end-to-end referencing","format":"uuid"}},"required":["createdAt","updatedAt","id","brokerId","currencyId","accountAddress","iban","amount","status","transactionId","correlationId"]},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."},"WithdrawalStatus":{"type":"string","enum":["failed","initiated","rejected","returned","started","withdrawn"],"description":"Status of withdrawal"}}}}
```

## GET /currencies/{currencyId}/accounts

> Retrieve a list of accounts with balance for specified currency.

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/currencies/{currencyId}/accounts":{"get":{"description":"Retrieve a list of accounts with balance for specified currency.","operationId":"getCurrencyAccounts","parameters":[{"name":"currencyId","required":true,"in":"path","description":"Currency UUID identifier, global in scope of TSS","schema":{"format":"uuid","type":"string"}},{"name":"query","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/QueryCurrencyAccountDto"}},{"name":"filter","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/FilterCurrencyAccountDto"}},{"name":"pagination","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/PaginationRequestDto"}},{"name":"order","required":false,"in":"query","content":{"application/json":{"schema":{"type":"array","uniqueItems":true,"items":{"type":"object","oneOf":[{"properties":{"amount":{"type":"string","enum":["asc","desc"]}},"required":["amount"]}]}}}},"description":"Array of fields and directions to order. Supported fields: amount"}],"responses":{"200":{"description":"Successfully retrieved a list of items.","content":{"application/json":{"schema":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/PaginationResponseDto"},"items":{"type":"array","items":{"$ref":"#/components/schemas/CurrencyAccountBalanceDto"}}},"required":["pagination","items"]}}}}},"summary":"","tags":["Currencies"]}}},"components":{"schemas":{"QueryCurrencyAccountDto":{"type":"object","properties":{"heldAt":{"format":"date-time","type":"string","description":"Get currency accounts by the end day they were held. (skip the property for current holdings)"}}},"FilterCurrencyAccountDto":{"type":"object","properties":{"accountAddress":{"description":"Filter accounts by account address","oneOf":[{"type":"array","items":{"description":"Account address","type":"string","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"minItems":1},{"type":"string","description":"Partial account address"}]},"amount":{"description":"Filter accounts by amount from number or between two numbers","oneOf":[{"type":"array","items":{"type":"integer","format":"int64"},"minItems":1,"maxItems":2},{"type":"integer","format":"int64"}]}}},"PaginationRequestDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1}}},"PaginationResponseDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1},"totalItems":{"type":"number","description":"Total items count"},"totalPages":{"type":"number","description":"Total pages count"}},"required":["totalItems","totalPages"]},"CurrencyAccountBalanceDto":{"type":"object","properties":{"account":{"description":"Account details","allOf":[{"$ref":"#/components/schemas/AccountDto"}]},"amount":{"format":"int64","description":"Currency amount held by the account.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]}},"required":["account","amount"]},"AccountDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"nodeId":{"type":"string","description":"Unique UUID of the node that manages this account","format":"uuid"},"address":{"type":"string","description":"Account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"type":{"description":"Type of account","allOf":[{"$ref":"#/components/schemas/AccountType"}]},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","nullable":true,"allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"walletType":{"description":"Indicates that funds are owned by either broker or client","nullable":true,"allOf":[{"$ref":"#/components/schemas/WalletType"}]},"status":{"description":"**Status of the account:**\n- `active` - account is allowed to interact with the system\n- `frozen` - no assets can be moved around\n- `deleted` - no further actions can be done","allOf":[{"$ref":"#/components/schemas/AccountStatus"}]},"openedAt":{"format":"date-time","type":"string","description":"Opened date"}},"required":["createdAt","updatedAt","nodeId","address","type","institutionSectorCode","walletType","status","openedAt"]},"AccountType":{"type":"string","enum":["broker","emi","funding","investor","issuer","issuing","node","operational","operator"],"description":"Type of account"},"InstitutionSectorCode":{"type":"string","enum":["S.11","S.121","S.122","S.123","S.124","S.125","S.126","S.127","S.128","S.129","S.13","S.1311","S.1312","S.1313","S.1314","S.14","S.15"],"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form."},"WalletType":{"type":"string","enum":["broker-own","client-individual"],"description":"Indicates that funds are owned by either broker or client"},"AccountStatus":{"type":"string","enum":["active","frozen","deleted"],"description":"**Status of the account:**\n- `active` - account is allowed to interact with the system\n- `frozen` - no assets can be moved around\n- `deleted` - no further actions can be done"},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."}}}}
```

## GET /utils/description/encode

> Encode payment description

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/utils/description/encode":{"get":{"description":"Encode payment description","operationId":"encode","parameters":[{"name":"address","required":true,"in":"query","description":"Source or destination account address","schema":{"format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EncodedDescriptionWithCorrelationIdDto"}}}}},"summary":"","tags":["Currencies"]}}},"components":{"schemas":{"EncodedDescriptionWithCorrelationIdDto":{"type":"object","properties":{"description":{"type":"string","description":"Encoded payment description"},"correlationId":{"type":"string","description":"Correlation id for end-to-end referencing","format":"uuid"}},"required":["description","correlationId"]}}}}
```

## GET /utils/description/decode

> Decode payment description

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/utils/description/decode":{"get":{"description":"Decode payment description","operationId":"decode","parameters":[{"name":"description","required":true,"in":"query","description":"Encoded payment description","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlainDescriptionDto"}}}}},"summary":"","tags":["Currencies"]}}},"components":{"schemas":{"PlainDescriptionDto":{"type":"object","properties":{"address":{"type":"string","description":"Source or destination address on the blockchain","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"correlationId":{"type":"string","description":"Correlation id for end-to-end referencing","format":"uuid"}},"required":["address","correlationId"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://axiology.gitbook.io/axiology-docs/rest-api/currencies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
